Summary:	Ut Video codec suite
Name:		utvideo
Version:	12.2.1
Release:	1%{?dist}
License:	GPL v2+
Group:		Development/Libraries
Source0:	http://umezawa.dyndns.info/archive/utvideo/%{name}-%{version}-src.zip
# Source0-md5:	b5ac67032376f911574e0a32ac10cdcf
Patch0:		%{name}-update.patch
Patch1:		%{name}-shared.patch
Patch2:     %{name}-gcc48.patch
URL:		http://umezawa.dyndns.info/wordpress/?cat=28
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
#%ifarch i586 i686 pentium2 pentium3 pentium4
#BuildRequires:	nasm
#%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ut Video Codec Suite is a multi-platform and multi-interface lossless
video codec.

%package devel
Summary:	Header files for Ut Video library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for Ut Video library.

%package static
Summary:	Static Ut Video library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Ut Video library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	OPTFLAGS="%{optflags}" \
	V=1 \
	libdir=%{_libdir}
# TunedFunc_x86.cpp compilation fails
#%ifarch i586 i686 pentium2 pentium3 pentium4
#	ARCH=i386 \
#%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.en.html
%lang(ja) %doc readme.ja.html
%attr(755,root,root) %{_libdir}/libutvideo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libutvideo.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libutvideo.so
%{_libdir}/libutvideo.la
%{_includedir}/utvideo

%files static
%defattr(644,root,root,755)
%{_libdir}/libutvideo.a

%changelog
* Wed Jan  8 2014 momo-i <webmaster@momo-i.org> - 12.2.1-1
- Update 12.2.1

* Wed Mar 13 2013 momo-i <webmaster@momo-i.org> 
- Initial rpm release.
